Subject: Re: PowerPC radeon KMS - is it possible?

From: Michel Dänzer <[email-masked]>
Date: Wed, 18 Apr 2012 17:01:20 +0200

On Mit, 2012-04-18 at 16:55 +0200, Andreas Schwab wrote: 
> Michel Dänzer <[email-masked]> writes:
> 
> > On Mit, 2012-04-18 at 16:28 +0200, Andreas Schwab wrote: 
> >> Michel Dänzer <[email-masked]> writes:
> >> 
> >> > Have you tried smaller aperture sizes (uninorth_agp.aperture) and/or
> >> > radeon.test=1? (See commit 52f072cb084bbb460d3a4ae09f0b6efc3e7e8a8c)
> >> 
> >> Neither changes anything.
> >
> > How small aperture sizes have you tried?
> 
> 32M. With the old UMS driver 3D once worked fine ...

That doesn't necessarily mean much per se, as with UMS memory is only
statically mapped into the AGP GART once (so most of those 32M are
wasted at least most of the time), whereas with KMS it's dynamically
(un)mapped on demand.

> > The purpose of radeon.test=1 isn't to change anything but to catch
> > problems transferring data between system memory bound via AGP GART and
> > video RAM. Does it pass for the whole AGP aperture?
> 
> AFAICT yes.  For the default 256M it printed "[drm] Tested GTT->VRAM and
> VRAM->GTT copy for GTT offset" for every other offset from 0x201000
> to 0xfe01000.

Okay, so apparently there's at least no obvious problem with 256M on
your UniNorth revision either.

-- 
Earthling Michel Dänzer           |                   http://www.amd.com
Libre software enthusiast         |          Debian, X and DRI developer